Bug 1290241 - [RFE] expand storage on persistent volume without losing data
[RFE] expand storage on persistent volume without losing data
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.7.0
Assigned To: Bradley Childs
Johnny Liu
:
: 1407011 (view as bug list)
Depends On:
Blocks: 1267746
  Show dependency treegraph
 
Reported: 2015-12-09 17:29 EST by Eric Jones
Modified: 2017-09-18 15:21 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Jones 2015-12-09 17:29:51 EST
- What is the nature and description of the request?  
As an admin I need the ability to expand the storage setup on a persistent volume, without losing the existing data that I already have. 

- Why does the customer need this? (List the business requirements here)  
The docker images they have pushed to their registry are taking up too much space. A possible fix for this scenario is to increase the size of the registry.

- How would the customer like to achieve this? (List the functional requirements here)  
The ability to expand the Persistent Volume without damaging the data inside the existing PV. 

- Is there already an existing RFE upstream or in Red Hat Bugzilla?  
Not that I could find  

- List any affected packages or components.  
OpenShift
Docker
Comment 2 Mark Turansky 2016-01-11 10:31:49 EST
This is a feature request for "resizing a volume", for which we have a Trello card.
Comment 5 Steve Watt 2016-04-13 13:22:33 EDT
This card is being tracked here - https://trello.com/c/WC1urO9c/138-21-provide-a-means-to-increase-the-storage-capacity-of-a-pv-openshift-online-ops-rfe

It hasn't moved yet as it will only get worked on after the core storage functionality refactoring, storage classes and dynamic provisioning is complete.
Comment 6 Eric Jones 2016-07-06 09:46:13 EDT
Hi Steve,

Do you have a specific bug (or several bugs) or trello(s) that we can put as blocking on this bug? As you indicated that this won't be worked until "core storage functionality refactoring, storage classes and dynamic provisioning is complete."
Comment 7 Steve Watt 2016-08-29 12:12:48 EDT
Eric, I think a better approach is to track the feature card https://trello.com/c/02MHzcR0/272-feature-support-the-ability-to-resize-a-persistent-volume (which is now linked to the work item card in the description) and see which OpenShift release it is scheduled for. At present, it is proposed for OpenShift 3.5, but we have yet to do release planning for that. In reality, we need to start with a Spike to actually figure out how we're going to address this problem. Once we do that, we need to build community consensus around the approach and only once that happens, does the rough timeline regarding when this will land in an OpenShift release, start to take shape.
Comment 8 Dan McPherson 2017-01-23 09:26:57 EST
*** Bug 1407011 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.